## com.sun.jersey.core.spi.component.ioc
Interface IoCComponentProcessor

    public interface IoCComponentProcessor

A component processor capable of performing pre-construction and post-construction initialization.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`void` | `postConstruct(java.lang.Object o)` Post-construction initialization of a component.
`void` | `preConstruct()` Pre-construction initialization of a component.

Method Detail

### preConstruct

    void preConstruct()

  Pre-construction initialization of a component.

### postConstruct

    void postConstruct(java.lang.Object o)

  Post-construction initialization of a component.

  For example, this may perform injecton onto the component.

  Parameters:
    `o` - the component instance.

Copyright © 2017 Oracle Corporation. All Rights Reserved.